# isfile

checks whether argument is an existing file

## Calling Sequence

    x = isfile(filenames)

## Arguments

filenames

  a character string or a string matrix.

x

  a matrix of boolean (`%t` if `filenames` are existing files).

## Description

`x = isfile(filenames)` checks whether `filenames` is an existing file or not (a directory is not a file). See also isdir.

## Examples

                filenames = ls(SCI)

                x = isfile(filenames)

                isfile(SCI + '/etc')
                isdir(SCI + '/etc')

## See Also

- fileinfo
- isdir